#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:ora_secured_setup).provide(:simple) do
  include EasyType::Provider

  confine :exists => '/etc/ora_setting.yaml'

  desc 'Manage Oracle CIS Baseline'

  mk_resource_methods

  #
  # For this type we never need to create something.
  #
  def exists?
    true
  end

end
