module PuppetX
  module EnterpriseModules
    # TODO: Right now this is a copy of a similar module in ora_install. We should find a 
    # way to  reuse the same code.
    module OraCis
      # Docs
      module Sids

        def default_database_sid
          Hash[*oratab_content.scan(/^(?!#)(.*)\:(.*)\:.*$/).flatten].keys.first
        end

        def oratab_content
          File.read(oratab_file)
        end

        def oratab_file
          "#{ora_invdir}/oratab"
        end

        def ora_invdir
          os = Facter.value(:kernel)
          case os
          when 'Linux' then
            '/etc'
          when 'SunOS' then
            '/var/opt/oracle'
          else
            '/etc'
          end
        end
      end
    end
  end
end
