#
# See the file "LICENSE" for the full license governing this code.
#
#
# Revoke specific system grants to the specfied resources
#
# $sid      the grant including the sid e.g. DBMS_JAVA@SID
# $exclude  the users to exclude, e.g. not revoke
# $grant    the 
#
define ora_secured::internal::revoke_specific_system_grant(
  String $sid,
  String $grantee,
  String $grant
){
  ora_exec {"revoke ${grant} from ${grantee}@${sid}":}
}
